Bug 133360 - Tomcat hangs unexplainably
Tomcat hangs unexplainably
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 10:40 EDT by Greg Gershman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Gershman 2004-09-23 10:40:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040614 Firefox/0.9

Description of problem:
When running Tomcat, at non-deterministic points, as far as I can
tell, the server simply hangs, does not accept incoming requests,
either on port 8080 or via mod_jk2.  shutdown.sh does nothing.  Unable
to kill process with kill PID, using kill -9 sometimes causes process
to go into defunct status.  Restarting Tomcat fails with message that
ports 8080, 8005 are in use.  Only recourse is to reboot the box.

In addition, various strange and similar things happen when running
other Java processes.

Version-Release number of selected component (if applicable):
tomcat-4.1.27-13

How reproducible:
Sometimes

Steps to Reproduce:
1. Start Tomcat
2.  Wait a bit
3.  Crash
    

Actual Results:  Tomcat frequently crashes and locks up the machine

Expected Results:  Tomcat should not crash and not lock up the machine.

Additional info:

I'm using the JVM supplied with Fedora, but running a Tomcat install
from jakarata (not gcj, I believe).  I tried running the Tomcat
available via yum/rpm, but had other configuration problems setting up
the security manager (unrelated, I believe).
Comment 1 Greg Gershman 2004-09-23 16:59:24 EDT
Update: I'm cautiously optimistic that this bug is the same as #121902.

I should know in a day or so, if things continue to go well (fingers
crossed).
Comment 2 Matthew Miller 2005-04-26 11:42:14 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-28 12:49:07 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.